Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.captcha
Class CaptchaSecurityContextImpl

    java.lang.Object
      org.acegisecurity.context.SecurityContextImpl
          org.acegisecurity.captcha.CaptchaSecurityContextImpl

All Implemented Interfaces:
  Serializable, CaptchaSecurityContext, SecurityContext

    public class CaptchaSecurityContextImpl

extends SecurityContextImpl
implements CaptchaSecurityContext

Default CaptchaSecurityContext implementation

Author:
  mag
See Also:
  Serialized Form

Constructor Summary
`CaptchaSecurityContextImpl()`

Method Summary
`int` | `getHumanRestrictedResourcesRequestsCount()` DOCUMENT ME!
`long` | `getLastPassedCaptchaDateInMillis()` DOCUMENT ME!
`void` | `incrementHumanRestrictedRessoucesRequestsCount()` Method to increment the human Restricted Resrouces Requests Count;
`boolean` | `isHuman()` DOCUMENT ME!
`void` | `setHuman()` reset the lastPassedCaptchaDate and count.

Methods inherited from class org.acegisecurity.context.SecurityContextImpl
`equals, getAuthentication, hashCode, setAuthentication, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.acegisecurity.context.SecurityContext
`getAuthentication, setAuthentication`

Constructor Detail

### CaptchaSecurityContextImpl

    public CaptchaSecurityContextImpl()

Method Detail

### setHuman

    public void setHuman()

  reset the lastPassedCaptchaDate and count.

  Specified by:
    `setHuman` in interface `CaptchaSecurityContext`

### isHuman

    public boolean isHuman()

  Description copied from interface: `CaptchaSecurityContext`
  DOCUMENT ME!

  Specified by:
    `isHuman` in interface `CaptchaSecurityContext`
  Returns:
    true if the current user has already passed a captcha.

### getHumanRestrictedResourcesRequestsCount

    public int getHumanRestrictedResourcesRequestsCount()

  Description copied from interface: `CaptchaSecurityContext`
  DOCUMENT ME!

  Specified by:
    `getHumanRestrictedResourcesRequestsCount` in interface `CaptchaSecurityContext`
  Returns:
    number of human restricted resources requests since the last passed captcha.

### getLastPassedCaptchaDateInMillis

    public long getLastPassedCaptchaDateInMillis()

  Description copied from interface: `CaptchaSecurityContext`
  DOCUMENT ME!

  Specified by:
    `getLastPassedCaptchaDateInMillis` in interface `CaptchaSecurityContext`
  Returns:
    the date of the last passed Captcha in millis, 0 if the user never passed captcha.

### incrementHumanRestrictedRessoucesRequestsCount

    public void incrementHumanRestrictedRessoucesRequestsCount()

  Method to increment the human Restricted Resrouces Requests Count;

  Specified by:
    `incrementHumanRestrictedRessoucesRequestsCount` in interface `CaptchaSecurityContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.